<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
// local reference to another doc
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>


// categories: std | bcp | info | exp | historic
rfc(category='bcp' number='2686009' consensus='false' ipr='trust200902' docName='ntof-user-guide-dimon-01' submissionType='ntof-daq' xml:lang='en' version='3')
  front
    title(abbrev='n_ToF DIMon user-guide') n_ToF DIMon user-guide
    author(fullname='Gabriele De Blasi' initials='G.D.B.' role='editor' surname='De Blasi')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email gabriele.deblasi@cern.ch
    date(year='2021' month="October")

    keyword ntof

    abstract
      t This is a short user-guide for DIMon application.

  middle

    section
      name IPMI Remote Console
      t
        | A DAQ action to launch the iKVM with Java Web Start
        | (#[xref(target="ICEDTEA_WEB") IcedTea-Web]) and manage the server remotely.

    section
      name Lanch the remote console

      figure
        name Launching the 'Show console' action
        artwork(align='center' type='binary-art' src='ntof-user-guide-dimon/show-console-1.png')

      figure
        name Downloading and opening the JNLP file
        artwork(align='center' type='binary-art' src='ntof-user-guide-dimon/show-console-2.png')

      figure
        name IcedTea security warning
        artwork(align='center' type='binary-art' src='ntof-user-guide-dimon/show-console-3.png')

      section
        name Stand-by remote console
        t
          | If a black screen is displayed when launching the remote console,
          | try waking up the data stream by pressing a key on the keyboard
          | (e.g. the #[em Space bar]).

        figure
          name Example of remote console in sleep mode
          artwork(align='center' type='binary-art' src='ntof-user-guide-dimon/ikvm-no-signal.png')

      section
        name IPMI Device Reboot
        t
          | In some cases it may be necessary to reset the IPMI device
          | if nothing appears when opening the remote console or no preview
          | is shown in the main page of #[em Supermicro] web-based management
          | utility. To this end:
        ul
          li
            | connect to the remote server via browser using its hostname or
            | IP address and log in
          li go to the #[em Maintenance] &gt; #[em Unit Reset] page
          li click on #[em Reset]

        figure
          name Reboot the IPMI device
          artwork(align='center' type='binary-art' src='ntof-user-guide-dimon/ipmi-reboot.png')

      section
        name Lanch the remote console manually
        t Here is the procedure to open a remote console by command line:
        ol
          li
            | Download the compressed application #[em iKVM] and required
            | library (depending on the OS being used) from
            | #[xref(target="DIMON_IPMI_CONSOLE")]
          li
            t Unpack them using the #[strong unpack200] tool:
            sourcecode(type="bash")
              | unpack200 XXX.jar.pack.gz XXX.jar
          li
            t Extract only library content:
            sourcecode(type="bash")
              | jar -xf libYYY.jar
          li
            t Lanch the iKVM Java application:
            sourcecode(type="bash")
              | java -Djava.library.path=. -cp &lt;APP&gt; tw.com.aten.ikvm.KVMMain &lt;HOST&gt; &lt;USER&gt; &lt;PASS&gt; null 0 623 0 0 1 5900
            t where:
            ul
              li
                | #[strong APP] is the name of the iKVM jar file previously
                | unpacked (e.g. #[em iKVM__V1.69.37.0x0.jar])
              li
                | #[strong HOST] is the hostname or IP address of the remote
                | server
              li
                | #[strong USER] is the username used to authenticate with the
                | remote server
              li
                | #[strong PASS] is the password used to authenticate with the
                | remote server

        t
          | #[strong Note:] It is also possible to fetch the application and
          | libraries from the remote server directly using the following URL:
        ul(empty="true")
          li https://&lt;HOST&gt;/&lt;RESOURCE&gt;.jar.pack.gz
        t where:
        ul
          li #[strong HOST] is the same as above
          li
            | #[strong RESOURCE] is the application or library name hosted on
            | the remote server

        t
          | #[strong Note:] Tested with #[xref(target="OPENJDK_8") JRE 8]
          | and #[xref(target="OPENJDK_11") JRE 11].


    //- section
    //-   name ADDH Extra Data
    //-   t To Do

  back

    references
      name References

      references
        name CERN Repositories

        reference(anchor='ICEDTEA_WEB' target='https://linuxsoft.cern.ch/cern/centos/7/updates/x86_64/Packages/Packages/icedtea-web-1.7.1-2.el7_6.x86_64.rpm')
          front
            title IcedTea-Web - CentOS 7
            author
              organization CERN
            date(year='2019')
        reference(anchor='DIMON_IPMI_CONSOLE' target='https://gitlab.cern.ch/ntof/daq/dimon/-/tree/master/www/dist/ipmi-console')
          front
            title n_ToF DIMON IPMI-Console Application and libraries
            author
              organization CERN
            date(year='2021')
        reference(anchor='OPENJDK_8' target='https://linuxsoft.cern.ch/cern/centos/7/updates/x86_64/Packages/java-1.8.0-openjdk-1.8.0.262.b10-1.el7.x86_64.rpm')
          front
            title OpenJDK 8 Runtime Environments - CentOS 7
            author
              organization CERN
            date(year='2020')
        reference(anchor='OPENJDK_11' target='https://linuxsoft.cern.ch/cern/centos/7/updates/x86_64/Packages/java-11-openjdk-11.0.7.10-4.el7_8.x86_64.rpm')
          front
            title OpenJDK 11 Runtime Environments - CentOS 7
            author
              organization CERN
            date(year='2020')

